classdef QuestionData
    properties
        NameFile = [];
        ValueQ1 = [];
        ValueQ2 = [];
        ValueQ3 = [];
        MeanQ1 = [];
        MeanQ2 = [];
        MeanQ3 = [];
    end
    
    
    methods
        function newObj = QuestionData(NewNameFile)
            newObj.NameFile = NewNameFile;
            
            try
                fileID = fopen(NewNameFile);
            catch
                disp('file does not exist');
                
            end
            C = fscanf(fileID,'%s');
            fclose(fileID);
            AllNumbers = C;
            
            StreamAnswer = [];
            
            %  h = waitbar(0,['Loading File ' NewNameFile]);
            
            % Get streams of data, text format
            for i = 1:length(AllNumbers)
                if(AllNumbers(i) ~= '=')
                    StreamAnswer = [StreamAnswer AllNumbers(i)];
                else
                    indexAnswer = i;
                    break;
                end
                
            end
            
            StreamAnswer = StreamAnswer(1:end-9);
            
            for currentQuestion = 1:109
                AnswerValue{currentQuestion} = '';
                
            end
            
            currentQuestion = 1;
            for i = 1:length(StreamAnswer)
                if(StreamAnswer(i) == ',')
                    
                    currentQuestion = currentQuestion + 1;
                else
                    AnswerValue{currentQuestion} = strcat(AnswerValue{currentQuestion},StreamAnswer(i));
                    
                end
                
            end
            
            
            nbQuestionQ1 = 19;
            nbQuestionQ2 = 10;
            nbQuestionQ3 = 80;
            
            ValueQuestionnaire1 = [];
            for currentQuestion = 1:nbQuestionQ1
                if strcmp(AnswerValue{currentQuestion},'True')
                    ValueQuestionnaire1 = [ValueQuestionnaire1 1];
                else
                    ValueQuestionnaire1 = [ValueQuestionnaire1 0];
                    
                end
                
            end
            
            ValueQuestionnaire1(13) = ~ValueQuestionnaire1(13);
            
            ValueQuestionnaire1(16) = ~ValueQuestionnaire1(16);
            
            
            ValueQuestionnaire2 = [];
            for currentQuestion = nbQuestionQ1+1:nbQuestionQ2+nbQuestionQ1
                ValueQuestionnaire2 = [ValueQuestionnaire2 str2num(AnswerValue{currentQuestion})];
            end
            
            ValueQuestionnaire3 = [];
            for currentQuestion = nbQuestionQ1+nbQuestionQ2+1:nbQuestionQ2+nbQuestionQ1+nbQuestionQ3
                if strcmp(AnswerValue{currentQuestion},'Like')
                    ValueQuestionnaire3 = [ValueQuestionnaire3 1];
                else
                    ValueQuestionnaire3 = [ValueQuestionnaire3 0];
                    
                end
                
            end
            
            newObj.ValueQ1 = ValueQuestionnaire1;
            newObj.ValueQ2 = ValueQuestionnaire2/5;
            newObj.ValueQ3 = ValueQuestionnaire3;
            
            newObj.MeanQ1 = mean(ValueQuestionnaire1);
            newObj.MeanQ2 = mean(ValueQuestionnaire2/5);
            newObj.MeanQ3 = mean(ValueQuestionnaire3);
            
        end
        
    end% methods
end













